# class Scheduler |
Full name | `KIO::Scheduler`
Definition | `#include <scheduler.h>`
Inherits | DCOPObject (dcop) [virtual public ], QObject (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- ~Scheduler ()
- void debug_info ()
- virtual bool process (const QCString &fun, const QByteArray &data, QCString& replyType, QByteArray &replyData)
- virtual QCStringList functions ()

#### Public Slots

- void slotSlaveDied (KIO::Slave *slave)
- void slotSlaveStatus (pid_t pid, const QCString &protocol, const QString &host, bool connected)

#### Public Static Methods

- static void doJob (SimpleJob *job)
- static void scheduleJob (SimpleJob *job)
- static void cancelJob (SimpleJob *job)
- static void jobFinished (KIO::SimpleJob *job, KIO::Slave *slave)
- static void putSlaveOnHold (KIO::SimpleJob *job, const KURL &url)
- static void removeSlaveOnHold ()

#### Public Members

- Forward ProtocolInfo

#### Protected Methods

- bool startJobScheduled (ProtocolInfo *protInfo)
- bool startJobDirect ()
- Scheduler ()

#### Protected Slots

- void startStep ()
- void slotCleanIdleSlaves ()
- void slotAuthorizationKey ( const QCString&, const QCString&, bool keep )

## Detailed Description

~Scheduler () | ### ~Scheduler

void doJob (SimpleJob *job) | ### doJob

[static]

void scheduleJob (SimpleJob *job) | ### scheduleJob

[static]

void cancelJob (SimpleJob *job) | ### cancelJob

[static]

void jobFinished (KIO::SimpleJob *job, KIO::Slave *slave) | ### jobFinished

[static]

void putSlaveOnHold (KIO::SimpleJob *job, const KURL &url) | ### putSlaveOnHold

[static]

void removeSlaveOnHold () | ### removeSlaveOnHold

[static]

void debug_info () | ### debug_info

bool process (const QCString &fun, const QByteArray &data, QCString& replyType, QByteArray &replyData) | ### process

[virtual]

Reimplemented from DCOPObject.

QCStringList functions () | ### functions

[virtual]

Reimplemented from DCOPObject.

void slotSlaveDied (KIO::Slave *slave) | ### slotSlaveDied

[slot]

void slotSlaveStatus (pid_t pid, const QCString &protocol, const QString &host, bool connected) | ### slotSlaveStatus

[slot]

void startStep () | ### startStep

[protected slots slot]

void slotCleanIdleSlaves () | ### slotCleanIdleSlaves

[protected slots slot]

void slotAuthorizationKey ( const QCString&, const QCString&, bool keep ) | ### slotAuthorizationKey

[protected slots slot]

bool startJobScheduled (ProtocolInfo *protInfo) | ### startJobScheduled

[protected]

bool startJobDirect () | ### startJobDirect

[protected]

Scheduler () | ### Scheduler

[protected]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:36 2001, using kdoc 2.0a53.